## dropwizard-metrics 3.2.5

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = target

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html: less
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml: less
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Metrics.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Metrics.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Metrics"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Metrics"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

less:
	lessc --compress source/_themes/metrics/less/metrics.less > source/_themes/metrics/static/metrics.css

upload: clean dirhtml
	rsync -avz --delete --exclude=maven $(BUILDDIR)/dirhtml/ codahale.com:/home/codahale/metrics.codahale.com/

## dropwizard-metrics 3.1.2

=== debian/changelog ===
dropwizard-metrics (3.1.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release (3.1.2)
  * Minimal changes to get updated package building
    + Remove old patches
    + Add new modules to libdropwizard-metrics-java.poms, ignore modules which
      won't build.
    + Update maven.rules and maven.ignoreRules
    + Add new dependencies to debian/control
  * Use secure VCS URLs
  * Update Standards-Version from 3.9.6 to 3.9.8 (no change required)
  * Update debian/copyright
  * Use secure URL for copyright format
  * Add debian/README.source

 -- Christopher Hoskin <mans0954@debian.org>  Tue, 03 Jan 2017 07:16:53 +0000

dropwizard-metrics (3.0.2-1) unstable; urgency=low

  * Initial release (Closes: #768375)

 -- Tim Potter <tpot@hp.com>  Wed, 05 Nov 2014 04:08:06 +1100

=== debian/control ===
Source: dropwizard-metrics
Section: java
Priority: optional
Maintainer: Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Tim Potter <tpot@hp.com>, Christopher Hoskin <mans0954@debian.org>
Build-Depends: debhelper (>= 9),
               default-jdk,
               javahelper,
               libehcache-java,
               libfest-assert-java,
               libgmetric4j-java,
               libhttpclient-java,
               libjackson2-databind-java,
               liblog4j1.2-java,
               liblogback-java,
               libmaven-bundle-plugin-java,
               libmaven-enforcer-plugin-java,
               libmaven-javadoc-plugin-java,
               libmaven-source-plugin-java,
               libmockito-java,
               libservlet3.1-java,
               libslf4j-java,
               libhttpasyncclient-java,
               liblog4j2-java,
               maven-debian-helper
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-java/dropwizard-metrics.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/dropwizard-metrics.git
Homepage: https://dropwizard.github.io/metrics/

Package: libdropwizard-metrics-java
Architecture: all
Depends: ${misc:Depends}
Description: capture JVM- and application-level metrics for Java applications
 Metrics provides a powerful toolkit of ways to measure the behavior
 of critical components in your Java production environment.  It
 includes modules for common libraries like Jetty, Logack, Log4j,
 Apache HttpClient, Ehcache, JDBI, Jersey and reporting backends
 like Ganglia and Graphite.  Metrics provides you with full-stack
 visibility into your application.

=== debian/watch ===
version=3
opts=uversionmangle=s/-(RC|BETA)/~$1/ \
https://github.com/dropwizard/metrics/tags .*/v(.*).tar.gz

## dropwizard-metrics 3.2.4

=== debian/changelog ===
dropwizard-metrics (3.2.4-1) unstable; urgency=medium

  * Correct Bootstrap license
  * New upstream release (3.2.4)

 -- Christopher Hoskin <mans0954@debian.org>  Sat, 12 Aug 2017 07:53:11 +0100

dropwizard-metrics (3.2.3-2) unstable; urgency=medium

  * Team upload.
  * Build metrics-graphite.
    + Disable the RabbitMQ client support, as we are currently missing the
      amqp client library.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sat, 05 Aug 2017 16:17:50 -0400

dropwizard-metrics (3.2.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Ignore the new jcache, jcstress and docs modules
  * Removed the unused build dependencies (enforcer, source and javadoc plugins)
  * Standards-Version updated to 4.0.0
  * Switch to debhelper level 10
  * No longer track the alpha releases

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 25 Jul 2017 19:47:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Tim Potter <tpot@hp.com>, Christopher Hoskin <mans0954@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                default-jdk,
                javahelper,
                libehcache-java,
@@ -14,16 +14,13 @@
                liblog4j1.2-java,
                liblogback-java,
                libmaven-bundle-plugin-java,
-               libmaven-enforcer-plugin-java,
-               libmaven-javadoc-plugin-java,
-               libmaven-source-plugin-java,
                libmockito-java,
                libservlet3.1-java,
                libslf4j-java,
                libhttpasyncclient-java,
                liblog4j2-java,
                maven-debian-helper
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/pkg-java/dropwizard-metrics.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/dropwizard-metrics.git
 Homepage: https://dropwizard.github.io/metrics/

## dropwizard-metrics 3.2.5

=== debian/changelog ===
dropwizard-metrics (3.2.5-1) unstable; urgency=medium

  * New upstream release (3.2.5)
  * Update Standards-Version from 4.0.0 to 4.1.1 (no change required)
  * Update dates in debian/copyright

 -- Christopher Hoskin <mans0954@debian.org>  Sun, 26 Nov 2017 20:10:47 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libhttpasyncclient-java,
                liblog4j2-java,
                maven-debian-helper
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Vcs-Git: https://anonscm.debian.org/git/pkg-java/dropwizard-metrics.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/dropwizard-metrics.git
 Homepage: https://dropwizard.github.io/metrics/

=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME=/usr/lib/jvm/default-java
export JAVA_TOOL_OPTIONS=-Dfile.encoding=UTF8

%:
	dh $@ --with javahelper

=== debian/watch ===
version=3
opts=uversionmangle=s/-(RC|BETA)/~$1/ \
https://github.com/dropwizard/metrics/tags .*/v([\d\.]+).tar.gz

## dropwizard-metrics 3.2.6

=== debian/changelog ===
dropwizard-metrics (3.2.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * No longer build the ganglia module
  * Standards-Version updated to 4.5.0
  * Switch to debhelper level 12
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 31 May 2020 19:39:25 +0200

=== debian/control ===
Source: dropwizard-metrics
Section: java
Priority: optional
Maintainer: Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Tim Potter <tpot@hp.com>, Christopher Hoskin <mans0954@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 default-jdk,
 javahelper,
 libehcache-java,
 libfest-assert-java,
 libhttpasyncclient-java,
 libhttpclient-java,
 libjackson2-databind-java,
 liblog4j1.2-java,
 liblog4j2-java,
 liblogback-java,
 libmaven-bundle-plugin-java,
 libmockito-java,
 libservlet3.1-java,
 libslf4j-java,
 maven-debian-helper
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/java-team/dropwizard-metrics.git
Vcs-Browser: https://salsa.debian.org/java-team/dropwizard-metrics
Homepage: https://dropwizard.github.io/metrics/

Package: libdropwizard-metrics-java
Architecture: all
Depends: ${misc:Depends}
Description: capture JVM- and application-level metrics for Java applications
 Metrics provides a powerful toolkit of ways to measure the behavior
 of critical components in your Java production environment.  It
 includes modules for common libraries like Jetty, Logack, Log4j,
 Apache HttpClient, Ehcache, JDBI, Jersey and reporting backends
 like Ganglia and Graphite.  Metrics provides you with full-stack
 visibility into your application.
